set( BREAKPAD "https://cr.eesti.ee/" CACHE STRING "URL for breakpad crash reporting, empty for disabled" )
if( BREAKPAD )
	set( TESTING NO CACHE BOOL "Enable -crash parameter" )
	if( TESTING OR "$ENV{ENABLE_CRASH}" )
		add_definitions( -DTESTING )
	endif()
	add_definitions( -DBREAKPAD="${BREAKPAD}" )
	add_subdirectory( breakpad )
	set( ADDITIONAL_LIBRARIES ${ADDITIONAL_LIBRARIES} qbreakpad )
	find_program( DUMP_SYMS_EXECUTABLE dump_syms DOC "Path to dump_syms executable." )
endif()

macro( dump_syms PROGNAME )
	if( DUMP_SYMS_EXECUTABLE )
		get_property( BINARY_PATH TARGET ${PROGNAME} PROPERTY LOCATION )
		add_custom_target( ${PROGNAME}.symbols ALL
			${DUMP_SYMS_EXECUTABLE} ${BINARY_PATH} > ${PROGNAME}.sym
			DEPENDS ${PROGNAME}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
		)
	endif()
endmacro()
